package com.btc.ep.base.bl;

/**
 * A Named Element is simply a name with a name attribute. Concrete classes
 * that should have a name, should extend this class.
 */
public abstract interface NamedElement extends ModelElement {

    /**
     * Get the name.
     * 
     * @return The name, must not be null
     */
    public String getName();

    /**
     * Set the name
     * 
     * @param name The name to be set.
     */
    public void setName(String name);
}
